body, html {
    height: 100%;
    margin: 0;    
    font-family: Arial, sans-serif;
}

.cuadro {
    /* width: 300px;
    height: 200px; */
    background-color: #f0f0f0;
    border: 2px solid #333;
    border-radius: 10px;
    padding: 20px;
    color: #000;
    font-family: Arial, sans-serif;
  }

.contenedor {
    display: flex;
    justify-content: center; /* centrado horizontal */
    align-items: center;     /* centrado vertical */
    height: 100vh;
    background: #f0f0f0;
}

.caja {    
    padding: 20px;
    border-radius: 8px;
}

/* borde del form */
form {
  border: 3px solid #f1f1f1;
}

/* hacer el largo de los inputs en el total del area a usarse */
input[type=text], input[type=password] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
}

/* crear estilos de botones */
button {
  background-color: #333;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
}

/* estilo de desplazacmiento */
button:hover {
  opacity: 0.8;
}

/* estilo para el boton cancelar */
.cancelbtn {
  width: auto;
  padding: 10px 18px;
  background-color: #f44336;
  color: white;
  text-decoration: none; /* Opcional: quita el subrayado */
}

/* centrar el avatar del login */
.imgcontainer {
  text-align: center;
  margin: 24px 0 12px 0;
}

/* formato de la imagen del avatar */
img.avatar {
  width: 40%;
  border-radius: 50%;
}

/* agregar un contenedor */
.container {
  padding: 16px;
}

/* estilo para el texto de se olvido su contraseña */
span.psw {
  float: right;
  padding-top: 16px;
}

/* Cambiar estilos para el botón de lapso y cancelación en pantallas muy pequeñas */
@media screen and (max-width: 300px) {
  span.psw {
    display: block;
    float: none;
  }
  .cancelbtn {
    width: 100%;
    color: white;
    text-decoration: none; /* Opcional: quita el subrayado */
  }
}

.link-blanco {
  color: white;
  text-decoration: none; /* Opcional: quita el subrayado */
}

.link-blanco:hover {
  color: #ccc; /* Opcional: cambia el color al pasar el mouse */
}